import { Component, OnInit } from "@angular/core";
import { Router, ActivatedRoute } from "@angular/router";
import { NzMessageService } from "ng-zorro-antd";

import { MainService } from "../../services/main.service";

@Component({
  selector: "app-shortcut-build-orders-detail",
  templateUrl: "./shortcut-build-orders-detail.component.html",
  styleUrls: ["./shortcut-build-orders-detail.component.less"],
})
export class ShortcutBuildOrdersDetailComponent implements OnInit {
  constructor(
    private message: NzMessageService,
    private router: Router,
    private mainService: MainService,
    private routerInfo: ActivatedRoute
  ) {}

  id: number;
  userInfo: any = null;
  roundRobinTypes = [{ id: "163", hosName: "标本轮巡" }]; //快捷建单类型
  ngOnInit() {
    this.getDetail();
  }
  hideModal() {
    this.router.navigateByUrl("/main/shortcutBuildOrders");
  }

  // 获取详情
  maskFlag: any = false;
  getDetail() {
    this.id = this.routerInfo.snapshot.params["id"];
    this.maskFlag = this.message.loading("正在加载中..", {
      nzDuration: 0,
    }).messageId;
    this.mainService
      .getFetchData("api", "quickOrder", this.id)
      .subscribe((data) => {
        this.message.remove(this.maskFlag);
        this.maskFlag = false;
        if (data.status == 200) {
          this.userInfo = data.data;
        }
      });
  }
}
